﻿/*noinspection CssUnresolvedCustomProperty*/

:root {
    --mud-zindex-nav-drawer: 1350;
}

.bg-selected {
    background-color: rgba(0, 0, 0, 0.09);
}

.box-drop-shadow {
    box-shadow: var(--box-drop-shadow);
    -webkit-box-shadow: var(--box-drop-shadow);
    -moz-box-shadow: var(--box-drop-shadow);
}

.bg-surface {
    background-color: var(--surface-gray) !important;
}

.main-nav-drawer {
    overflow: hidden;
    z-index: var(--mud-zindex-nav-drawer);
    border-top-right-radius: 10px;
    -webkit-border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    -webkit-border-bottom-right-radius: 10px;
}

.mud-dialog-fullscreen {
    width: calc(100% - 50px);
    height: calc(100% - 50px);
    border-radius: var(--mud-default-borderradius);
}

.mud-tabs-tabbar {
    background-color: transparent;
}

.mud-overlay > * {
    backdrop-filter: blur(10px);
    transition: backdrop-filter 0.5s ease-in-out;
}

@keyframes mud-open-dialog-center {
    0% {
        opacity: 0;
    }
    1% {
        transform: scale(0.85);
        -webkit-transform: scale(0.85);
    }
    100% {
        opacity: 1;
        transform: scale(1);
        -webkit-transform: scale(1);
    }
}

.mud-file-upload, .mud-file-upload-files-default-template {
    margin-top: 0 !important;
}